> For the complete documentation index, see [llms.txt](https://docs.usewinter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usewinter.com/marketplace-integrations/implementation-strategy/apis-to-build-a-transaction.md).

# APIs to build a transaction

This type of integration is where we call your API (e.g. \`marketplace.com/buildTx\`) and your API returns a transaction for us to sign!

This is the most common type of integration!&#x20;

🚧 Coming soon - a self serve dashboard for you to integrate on your own!

These are the chains we currently support for this type of integration:

* ETH
* MATIC
* SOL
* ADA
* XTZ
* AVAX
* BNB

At a high level, your API should take in a few things (passed in this format):

* `tokenId`
* `contractAddress`
* `quantity (optional)`

We then expect a complete **unsigned** transaction back, which we will then sign and submit using our own RPC!

To get started, email us at `marketplaces@usewinter.com!`

### What does the API need to take and what does it need to return?

At a high level, your API should accept:

* `tokenId`
* `contractAddress`
* buyerWalletAddress

It should then take this and return back a built transaction for us to sign.

Generally, you'll also need this type of transaction to send to a wallet, like Metamask!&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.usewinter.com/marketplace-integrations/implementation-strategy/apis-to-build-a-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
